package main

import "log"
import "git.wit.org/wit/gui"

func windowAddWWW(w *gui.Node) {
	if (w == nil) {
		gui.Config.Title = "webpages"
		gui.Config.Width = 102
		gui.Config.Height = 102
		w = gui.NewWindow()
	}

	tab := w.AddTab("http", nil)

//////////////   connect     /////////////////////////
	gNode := tab.AddGroup("www")
	firefoxButton(gNode, "git",			"https://git.wit.org/")
	firefoxButton(gNode, "mirrors",		"https://mirrors.wit.org/")
	firefoxButton(gNode, "IPv6-Only ping",	"http://ping.wit.org/")
	firefoxButton(gNode, "SyncThing",		"http://localhost:8384/")
	firefoxButton(gNode, "pprof this GO app",	"http://localhost:6060/debug/pprof/")
}

func firefoxButton (n *gui.Node, name string, url string) {
	n.AddButton(name, func (*gui.Node) {
		log.Println("button clicked: trying to open url")
		var tmp []string
		tmp = append(tmp, "nohup")
		tmp = append(tmp, firefox...)
		tmp = append(tmp, url)
		go runCommand(tmp)
	})
	// bNode.Dump()
}
